{
  "extractor": {
    "archive": "~/.local/share/gallery-dl/archive.sqlite3",
    "base-directory": "~/gallery-dl/",
    "chapter-filter": "lang == 'en'",
    "chapter-unique": true,
    "cookies": null,
    "date-format": "%Y-%m-%dT%H:%M:%S",
    "image-unique": true,
    "path-remove": "\u0000-\u001f\u007f",
    "path-replace": "_",
    "path-restrict": "unix",
    "retries": 4,
    "skip": true,
    "user-agent": "Mozilla/5.0 (Windows NT 10.0; rv:78.0) Gecko/20100101 Firefox/78.0",
    "pixiv": {
      "filename": "{id}.{extension}",
      "directory": [
        "Pixiv",
        "{user[name]}-{user[id]}"
      ],
      "avatar": false,
      "ugoira": true,
      "refresh-token": ""
    },
    "danbooru": {
      "ugoira": false
    },
    "artstation": {
      "directory": [
        "ArtStation",
        "{user[username]}"
      ],
      "external": false
    },
    "deviantart": {
      "directory": [
        "DeviantArt",
        "{user[id]}"
      ],
      "flat": true,
      "extra": false,
      "include": "gallery,scraps,favorite",
      "metadata": false,
      "mature": true,
      "journals": "text",
      "original": true,
      "quality": 100
    },
    "mangadex": {
      "directory": [
        "Manga",
        "{manga}",
        "c{chapter} - {title}"
      ],
      "postprocessors": [
        {
          "name": "zip",
          "compression": "store",
          "extension": "cbz",
          "keep-files": false
        }
      ]
    },
    "mangafox": {
      "directory": [
        "Manga",
        "{manga}",
        "c{chapter} - {title}"
      ],
      "postprocessors": [
        {
          "name": "zip",
          "compression": "store",
          "extension": "cbz",
          "keep-files": false
        }
      ]
    },
    "manganelo": {
      "directory": [
        "Manga",
        "{manga}",
        "c{chapter} - {title}"
      ],
      "postprocessors": [
        {
          "name": "zip",
          "compression": "store",
          "extension": "cbz",
          "keep-files": false
        }
      ]
    },
    "mangahere": {
      "directory": [
        "Manga",
        "{manga}",
        "c{chapter} - {title}"
      ],
      "postprocessors": [
        {
          "name": "zip",
          "compression": "store",
          "extension": "cbz",
          "keep-files": false
        }
      ]
    },
    "mangapark": {
      "directory": [
        "Manga",
        "{manga}",
        "c{chapter} - {title}"
      ],
      "postprocessors": [
        {
          "name": "zip",
          "compression": "store",
          "extension": "cbz",
          "keep-files": false
        }
      ]
    },
    "reddit": {
      "comments": 0,
      "morecomments": false,
      "recursion": 0,
      "videos": "ytdl"
    },
    "twitter": {
      "quoted": false,
      "replies": false,
      "retweets": false,
      "twitpic": false,
      "videos": "ytdl"
    }
  },
  "downloader": {
    "mtime": true,
    "part": true,
    "part-directory": "/tmp/gallery-dl/.download/",
    "retries": 4,
    "timeout": 8.0,
    "verify": true,
    "ytdl": {
      "format": "bestvideo+bestaudio/best",
      "forward-cookies": false
    },
    "http": {
      "adjust-extensions": true
    }
  },
  "output": {
    "mode": "color",
    "progress": true,
    "logfile": {
      "path": "~/.local/share/gallery-dl/log.txt",
      "mode": "w",
      "level": "debug"
    },
    "log": {
      "level": "info",
      "format": {
        "debug": "\u001b[0;37m{name}: {message}\u001b[0m",
        "info": "\u001b[1;37m{name}: {message}\u001b[0m",
        "warning": "\u001b[1;33m{name}: {message}\u001b[0m",
        "error": "\u001b[1;31m{name}: {message}\u001b[0m"
      }
    },
    "unsupportedfile": {
      "path": "~/.local/share/gallery-dl/unsupported.txt",
      "mode": "a",
      "format": "{asctime} {message}",
      "format-date": "%Y-%m-%d-%H-%M-%S"
    }
  },
  "cache": {
    "file": "~/.cache/gallery-dl/cache.sqlite3"
  },
  "netrc": false
}
